Hello There, Guest! Register

HELP: Can't get Godzilla to work
#1
Hi everyone, noob seeking help. Kids loved the movie and I wanna show them the game. Here is my log:

RPCS3 v0.0.6-8196-2bc0ea37 Alpha | HEAD | Firmware version: 4.84
Intel® Pentium® CPU G3258 @ 3.20GHz | 2 Threads | 3.88 GiB RAM


E {RSX [0x0000000]} RSX: OpenGL: initialization of glDepthBoundsEXT failed.
E {RSX [0x0000000]} RSX: OpenGL: initialization of glGetTextureImage failed.
E {RSX [0x0000000]} RSX: OpenGL: initialization of glTextureSubImage1D failed.
E {RSX [0x0000000]} RSX: OpenGL: initialization of glTextureSubImage2D failed.
E {RSX [0x0000000]} RSX: OpenGL: initialization of glTextureSubImage3D failed.
E {RSX [0x0000000]} RSX: OpenGL: initialization of glTextureBufferRange failed.
E {RSX [0x0000000]} RSX: OpenGL: initialization of glTextureBarrier failed.
E {RSX [0x0000000]} RSX: OpenGL: initialization of glTextureBarrierNV failed.


E {RSX Decompiler Thread} RSX: Failed to compile shader: ERROR: 0:140: 'tex00' : undeclared identifier
ERROR: 0:140: 'texture' : no matching overloaded function found (using implicit conversion)
ERROR: 0:140: 'process_texel' : no matching overloaded function found (using implicit conversion)
ERROR: 0:140: 'assign' : cannot convert from 'const float' to 'inout 4-component vector of float'
Reply
#2
Missing log file but what you posted shows enough, your GPU doesn't support OpenGL 4.3 and your CPU is too bad (old 2c2t) to run the game at proper performance even if you had a decent dedicated GPU
Also, Intel integrated graphics are not supported because they fail to comply to standards, that's why you get glsl compiler errors like that tex00 one
Reply
#3
(06-10-2019, 03:52 AM)Ani Wrote: Missing log file but what you posted shows enough, your GPU doesn't support OpenGL 4.3 and your CPU is too bad (old 2c2t) to run the game at proper performance even if you had a decent dedicated GPU
Also, Intel integrated graphics are not supported because they fail to comply to standards, that's why you get glsl compiler errors like that tex00 one

thanks so much, any video cards you can recommend. Nothing fancy just something to get the job done =)

(06-10-2019, 03:52 AM)Ani Wrote: Missing log file but what you posted shows enough, your GPU doesn't support OpenGL 4.3 and your CPU is too bad (old 2c2t) to run the game at proper performance even if you had a decent dedicated GPU
Also, Intel integrated graphics are not supported because they fail to comply to standards, that's why you get glsl compiler errors like that tex00 one

Just ordered this guy, hope it suffices! https://www.amazon.com/gp/product/B01DOFD0G8/
Reply
#4
GT 1030 / RX 550 are a lot better and has Vulkan support and are not much more expensive, GT 710 is overpriced at that price point for what it is
Reply
#5
(06-12-2019, 08:23 AM)Ani Wrote: GT 1030 / RX 550 are a lot better and has Vulkan support and are not much more expensive, GT 710 is overpriced at that price point for what it is

argh, I saw this after ordering. I installed the 710 and it runs but gets suuuuuper slow, is it the card?:


P.S. I need a low profile card, is 4GB the best they make?

I'm gonna see if upgrading my CPU to i7-4770K with the GT 710 will suffice.
Reply
#6
Upload an actual log file
https://github.com/RPCS3/rpcs3/wiki/How-...or-Support

Removed the flood from emulator GUI



4GB on low end cards is the best you can get, yes.

Upgrading CPU to 4770K will be a huge improvement, but you should also get a GPU that supports Vulkan, like the two I mentioned above if that doesn't suffice.
Reply
#7
(06-14-2019, 04:14 PM)Ani Wrote: Upload an actual log file
https://github.com/RPCS3/rpcs3/wiki/How-...or-Support

Removed the flood from emulator GUI



4GB on low end cards is the best you can get, yes.

Upgrading CPU to 4770K will be a huge improvement, but you should also get a GPU that supports Vulkan, like the two I mentioned above if that doesn't suffice.
K, thanks. I am upgrading the following:

CPU will be Xeon E3-1275 or i7-4770k
Memory going to 8gb
GPU is 710 for now, it has Vulkin 1.1 and OpenGL 4.6, if it still doesn't work well I'll upgrade to GTX-1050
Reply
#8
E3-1275 is 2nd gen, 4770K is 4th gen, go for the 4770K if you can - better architecture and has AVX2
Reply
#9
(06-14-2019, 09:54 PM)Ani Wrote: E3-1275 is 2nd gen, 4770K is 4th gen, go for the 4770K if you can - better architecture and has AVX2
Please see this https://www.mediafire.com/file/sjpe8ji8y...g.txt/file
zzzsc
Reply
#10
That is not a log file, that's copy paste from GUI and not very useful
Upload the log file as indicated in the guidelines linked above
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)